Commit a79d16d6 authored by Steffen Vogel's avatar Steffen Vogel 🎅🏼
Browse files

use requirements.txt instead of specifiying the Python dependencies in the Dockerfile

parent 22345a37
...@@ -32,16 +32,7 @@ RUN dnf -y install \ ...@@ -32,16 +32,7 @@ RUN dnf -y install \
villas-node-devel villas-node-devel
# Python Packages # Python Packages
RUN pip3 install \ ADD requirements.txt .
pandas \ RUN pip3 install -r requirements.txt
numpy \
matplotlib \
sphinx \
m2r \
breathe \
wheel \
pytest \
pyyaml \
acs-dataprocessing
ENV LD_LIBRARY_PATH /usr/local/lib64 ENV LD_LIBRARY_PATH /usr/local/lib64
...@@ -96,7 +96,6 @@ setup( ...@@ -96,7 +96,6 @@ setup(
], ],
setup_requires = [ setup_requires = [
'm2r', 'm2r',
'breathe',
'pytest-runner', 'pytest-runner',
'wheel' 'wheel'
], ],
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment